Groovy Documentation

## org.codehaus.groovy.runtime.callsite
[Java] Class PogoInterceptableSite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.PogoInterceptableSite

    public class PogoInterceptableSite
    extends AbstractCallSite

Call site for GroovyInterceptable

Authors:
  Alex Tkachman

Field Summary

Fields inherited from class AbstractCallSite
array, index, name

Constructor Summary
`PogoInterceptableSite(CallSite site)`

Method Summary
`java.lang.Object` | `call(java.lang.Object receiver, java.lang.Object[] args)`
`java.lang.Object` | `callCurrent(GroovyObject receiver, java.lang.Object[] args)`
`java.lang.Object` | `invoke(java.lang.Object receiver, java.lang.Object[] args)`

Methods inherited from class AbstractCallSite

acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### PogoInterceptableSite

    public PogoInterceptableSite(CallSite site)

Method Detail

### call

    public final java.lang.Object call(java.lang.Object receiver, java.lang.Object[] args)

### callCurrent

    public java.lang.Object callCurrent(GroovyObject receiver, java.lang.Object[] args)

### invoke

    public final java.lang.Object invoke(java.lang.Object receiver, java.lang.Object[] args)

Groovy Documentation